<!DOCTYPE html>
<html>
  <head>
    <title>Trakit</title>

    <% /* Viewport tag for sensible mobile support */ %>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <% /*
        Stylesheets
        ========================

        Stylesheets can be hard-coded as «link» tags, automatically injected
        by the asset pipeline between "STYLES" and "STYLES END", or both.
        (https://sailsjs.com/docs/concepts/assets/task-automation)
    */ %>

    <% /* Auto-injected «link» tags: */ %>
    <!--STYLES-->
    <link rel="stylesheet" href="/dependencies/bootstrap-4/bootstrap-4.css">
    <link rel="stylesheet" href="/dependencies/font-awesome-4/css/font-awesome.css">
    <link rel="stylesheet" href="/styles/importer.css">
    <!--STYLES END-->
  </head>

  <body>
    <div id="page-wrap">
      <header id="page-header" class="navbar navbar-expand-sm navbar-dark bg-dark flex-column flex-md-row justify-content-between">
        <a class="navbar-brand mr-0" href="/">Trakit</a>
        <div class="navbar-nav flex-row">
          <a class="nav-item nav-link ml-2 ml-md-0 mr-2" href="/faq">FAQ</a>
        </div>
      </header>

      <!-- Alert if email has not been confirmed -->
      <% if(me&&me.emailChangeCandidate) { %>
      <div class="container-fluid">
        <div class="alert alert-secondary mt-2" role="alert">
        Your updated email address needs verification. Until you click the link sent to <strong><%= me.emailChangeCandidate %></strong>, you'll still need to sign in as <strong><%= me.emailAddress %></strong>.
        </div>
      </div>
      <% } else if(me&&me.emailStatus === 'unconfirmed') { %>
      <div class="container-fluid">
        <div class="alert alert-secondary mt-2" role="alert">
        Your email address still needs verification. Your account access may be limited until you click the link sent to <strong><%= me.emailChangeCandidate ? me.emailChangeCandidate : me.emailAddress%></strong>.
        </div>
      </div>
      <% } %>

      <%- body %>

      <footer id="page-footer" class="navbar navbar-light justify-content-between flex-row-reverse">
        <div class="nav">
          <small class="nav-item"><a class="nav-link text-info" href="/contact">Contact<span class="d-none d-sm-inline"> us</span></a></small>
          <small class="nav-item"><a class="nav-link text-info" href="/legal/terms">Terms<span class="d-none d-sm-inline"> of Use</span></a></small>
          <small class="nav-item"><a class="nav-link text-info" href="/legal/privacy">Privacy<span class="d-none d-sm-inline"> policy</span></a></small>
          <% if(me) { %>
          <small class="nav-item"><a class="nav-link text-info" href="/logout">Sign out</a></small>
          <% } %>
        </div>
        <small class="copy">Copyright &copy; 2018 Miniforge. <br class="xs-only"/>All rights reserved.</small>
      </footer>
    </div>


    <% /*
      Client-side JavaScript
      ========================

      Scripts can be hard-coded as «script» tags, automatically injected
      by the asset pipeline between "SCRIPTS" and "SCRIPTS END", or both.
      (https://sailsjs.com/docs/concepts/assets/task-automation)
    */ %>

    <% /* Load Stripe Checkout */ %>
    <script src="https://checkout.stripe.com/checkout.js"></script>

    <% /* Delete the global `self` to help avoid client-side bugs.
    (see https://developer.mozilla.org/en-US/docs/Web/API/Window/self) */ %>
    <script>delete window.self;</script>

    <% /* Auto-injected «script» tags: */ %>
    <!--SCRIPTS-->
    <script src="/dependencies/sails.io.js"></script>
    <script src="/dependencies/lodash.js"></script>
    <script src="/dependencies/jquery.min.js"></script>
    <script src="/dependencies/bowser.js"></script>
    <script src="/dependencies/vue.js"></script>
    <script src="/dependencies/bootstrap-4/bootstrap-4.bundle.js"></script>
    <script src="/dependencies/cloud.js"></script>
    <script src="/dependencies/FileSaver.js"></script>
    <script src="/dependencies/parasails.js"></script>
    <script src="/js/cloud.setup.js"></script>
    <script src="/js/components/ajax-button.component.js"></script>
    <script src="/js/components/ajax-form.component.js"></script>
    <script src="/js/components/modal.component.js"></script>
    <script src="/js/utilities/open-stripe-checkout.js"></script>
    <script src="/js/pages/498.page.js"></script>
    <script src="/js/pages/account/account-overview.page.js"></script>
    <script src="/js/pages/account/edit-password.page.js"></script>
    <script src="/js/pages/account/edit-profile.page.js"></script>
    <script src="/js/pages/contact.page.js"></script>
    <script src="/js/pages/dashboard/welcome.page.js"></script>
    <script src="/js/pages/entrance/confirmed-email.page.js"></script>
    <script src="/js/pages/entrance/forgot-password.page.js"></script>
    <script src="/js/pages/entrance/login.page.js"></script>
    <script src="/js/pages/entrance/new-password.page.js"></script>
    <script src="/js/pages/entrance/signup.page.js"></script>
    <script src="/js/pages/faq.page.js"></script>
    <script src="/js/pages/homepage.page.js"></script>
    <script src="/js/pages/legal/privacy.page.js"></script>
    <script src="/js/pages/legal/terms.page.js"></script>
    <!--SCRIPTS END-->
  </body>
</html>
